@ECHO off
REM  This script allows to specify a custom path for Ace Combat 3 with TFXplorer.

:check
SET /P "InstallPath=Please enter the ACE.BPB path, e.g. D:\PSX\AC3: "
IF "%InstallPath:~-1%"=="\" SET "InstallPath=%InstallPath:~0,-1%"
IF NOT EXIST "%InstallPath%\ACE.BPB" (
	ECHO No ACE.BPB found.
	GOTO check
)

REG add "HKCU\Software\TFXplorer\Extensions\Ace Combat 3" /v Path /t REG_SZ /d "Ace Combat 3.dll" /f >NUL
REG add "HKCU\Software\TFXplorer\Extensions\Ace Combat 3" /v DataPath /t REG_SZ /d "%InstallPath%" /f >NUL
REG add "HKCU\Software\TFXplorer\Extensions\Ace Combat 3" /v Active /t REG_DWORD /d 1 /f >NUL
ECHO OK - Ace Combat 3 is now available in TFXplorer.
PAUSE